# Save BoxTrapper message template contents

This function saves the contents of a BoxTrapper message template.

Important:

When you disable the _Receive Mail_ role,
the system disables this function.

Endpoint: GET /BoxTrapper/save_email_template
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `contents` (string, required)
    The template file's contents.

You can use variables in the template
to include details about the original message.

Important:

* You must include To: %email% in this parameter's value.
* If you use the verify template, you must include Subject: verify#%msgid% in this parameter's value.
* This value cannot exceed four kilobytes (KB).
* You must URI-encode this parameter's value when using the CLI.
    Example: "To: %email%\nSubject: Re: %subject%\n\nThe user %acct% does not accept mail from your address.\n\nThe headers of the message sent from your address are shown below:\n\n%headers%"

  - `email` (string, required)
    The account's email address.

Warning:

If you call this function in Webmail, the system overrides this parameter.

Note:

This parameter defaults to the current email address.
    Example: "user@example.com"

  - `template` (string, required)
    The message template.

* blacklist
* returnverify
* verifyreleased
* verify

Important:

If you use the verify template, you must include Subject: verify#%msgid% in this parameter's value.

Note:

For more information about each template, read our BoxTrapper documentation.
    Enum: "blacklist", "returnverify", "verifyreleased", "verify"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "save_email_template"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


